Skip to main content
POST
Create a WAAS wallet for a user

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json

Pregenerate WAAS wallet for a user given an identifier

identifier
string
required

Identifier for the user. Must be either an email, phone number, user id, external user id, or username from a supported social provider

type
enum<string>
required
Available options:
email,
id,
externalUserId,
phoneNumber,
socialUsername,
socialAccountId
chains
enum<string>[]
required

The chains to create the wallet for

Available options:
EVM,
MIDNIGHT,
SVM,
SUI,
BTC,
TON,
STELLAR,
TEMPO,
ALEO,
TRON
smsCountryCode
object
socialProvider
enum<string>

The 'turnkey' value is deprecated and will be removed in a future version.

Available options:
emailOnly,
magicLink,
apple,
bitbucket,
coinbasesocial,
discord,
epicgames,
facebook,
farcaster,
github,
gitlab,
google,
instagram,
linkedin,
microsoft,
twitch,
twitter,
blocto,
banxa,
coinbaseOnramp,
cryptoDotCom,
moonPay,
dynamic,
alchemy,
zerodev,
telegram,
turnkey,
coinbaseWaas,
sms,
spotify,
tiktok,
line,
steam,
shopify,
zksync,
kraken,
blockaid,
passkey,
okta,
sendgrid,
resend,
trmWalletScreening,
chainalysisAddressScreening

Response

Wallet already exists for the user

user
object
Last modified on July 20, 2026